Skip to content

Get campaign run.

GET
/backend/v1/campaign-runs/{campaignRunId}

Returns a campaign run based on its ID. Optional parameters allow including results,
providers, and schedule objects in the response.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

campaignRunId*
Type
string
Required
Format
"uuid"

Query Parameters

includeResults

Include attack results in response

Type
boolean
Default
false
includeProviders

Include providers that the campaign was run against

Type
boolean
Default
false
includeSchedule

Include the campaign run's schedule if it has one

Type
boolean
Default
false
includeCampaign

Include the campaign run's campaign

Type
boolean
Default
false

Responses

Successful Response

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: